# H245_T38FaxUdpOptions Class Reference

`#include <h245.h>`

Inheritance diagram for H245_T38FaxUdpOptions:

List of all members.

## Public Types

enum | OptionalFields { e_t38FaxMaxBuffer, e_t38FaxMaxDatagram }

## Public Member Functions

| H245_T38FaxUdpOptions (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_t38FaxMaxBuffer
PASN_Integer | m_t38FaxMaxDatagram
H245_T38FaxUdpOptions_t38FaxUdpEC | m_t38FaxUdpEC

## Member Enumeration Documentation

enum H245_T38FaxUdpOptions::OptionalFields

Enumerator:

  e_t38FaxMaxBuffer |
  e_t38FaxMaxDatagram |

## Constructor & Destructor Documentation

H245_T38FaxUdpOptions::H245_T38FaxUdpOptions | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_T38FaxUdpOptions::GetDataLength | ( |  | ) | const

PBoolean H245_T38FaxUdpOptions::Decode | ( | PASN_Stream & | strm | ) |

void H245_T38FaxUdpOptions::Encode | ( | PASN_Stream & | strm | ) | const

void H245_T38FaxUdpOptions::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_T38FaxUdpOptions::Compare | ( | const PObject & | obj | ) | const

PObject* H245_T38FaxUdpOptions::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_T38FaxUdpOptions::m_t38FaxMaxBuffer

PASN_Integer H245_T38FaxUdpOptions::m_t38FaxMaxDatagram

H245_T38FaxUdpOptions_t38FaxUdpEC H245_T38FaxUdpOptions::m_t38FaxUdpEC

The documentation for this class was generated from the following file:

- h245.h